WindowsRuntimeMetadata.ResolveNamespace Método

Definição

Localiza os arquivos de metadados do Windows para um namespace especificado, dada uma lista de locais para a pesquisa.Locates the Windows Metadata files for a specified namespace, given a list of locations to search.

Sobrecargas

ResolveNamespace(String, IEnumerable<String>)

Localiza os arquivos de metadados do Windows para o namespace especificado, considerando os locais especificados para pesquisar.Locates the Windows Metadata files for the specified namespace, given the specified locations to search.

ResolveNamespace(String, String, IEnumerable<String>)

Localiza os arquivos de metadados do Windows para o namespace especificado, considerando os locais especificados para pesquisar.Locates the Windows Metadata files for the specified namespace, given the specified locations to search.

ResolveNamespace(String, IEnumerable<String>)

Localiza os arquivos de metadados do Windows para o namespace especificado, considerando os locais especificados para pesquisar.Locates the Windows Metadata files for the specified namespace, given the specified locations to search.

public:
 static System::Collections::Generic::IEnumerable<System::String ^> ^ ResolveNamespace(System::String ^ namespaceName, System::Collections::Generic::IEnumerable<System::String ^> ^ packageGraphFilePaths);
[System.Security.SecurityCritical]
public static System.Collections.Generic.IEnumerable<string> ResolveNamespace (string namespaceName, System.Collections.Generic.IEnumerable<string> packageGraphFilePaths);
public static System.Collections.Generic.IEnumerable<string> ResolveNamespace (string namespaceName, System.Collections.Generic.IEnumerable<string> packageGraphFilePaths);
[<System.Security.SecurityCritical>]
static member ResolveNamespace : string * seq<string> -> seq<string>
static member ResolveNamespace : string * seq<string> -> seq<string>
Public Shared Function ResolveNamespace (namespaceName As String, packageGraphFilePaths As IEnumerable(Of String)) As IEnumerable(Of String)

Parâmetros

namespaceName
String

O namespace a ser resolvido.The namespace to resolve.

packageGraphFilePaths
IEnumerable<String>

Os caminhos do aplicativo para pesquisar arquivos de metadados do Windows ou null para pesquisar somente os arquivos de metadados do Windows da instalação do sistema operacional.The application paths to search for Windows Metadata files, or null to search only for Windows Metadata files from the operating system installation.

Retornos

IEnumerable<String>

Uma lista enumerável de cadeias de caracteres que representam os arquivos de metadados do Windows que definem o namespaceName.An enumerable list of strings that represent the Windows Metadata files that define namespaceName.

Atributos

Exceções

A versão do sistema operacional não oferece suporte à Windows Runtime.The operating system version does not support the Windows Runtime.

namespaceName é null.namespaceName is null.

Comentários

Chamar essa sobrecarga de método é equivalente a chamar a ResolveNamespace(String, String, IEnumerable<String>) sobrecarga do método e especificar null para o windowsSdkFilePath parâmetro.Calling this method overload is equivalent to calling the ResolveNamespace(String, String, IEnumerable<String>) method overload and specifying null for the windowsSdkFilePath parameter.

Aplica-se a

ResolveNamespace(String, String, IEnumerable<String>)

Localiza os arquivos de metadados do Windows para o namespace especificado, considerando os locais especificados para pesquisar.Locates the Windows Metadata files for the specified namespace, given the specified locations to search.

public:
 static System::Collections::Generic::IEnumerable<System::String ^> ^ ResolveNamespace(System::String ^ namespaceName, System::String ^ windowsSdkFilePath, System::Collections::Generic::IEnumerable<System::String ^> ^ packageGraphFilePaths);
[System.Security.SecurityCritical]
public static System.Collections.Generic.IEnumerable<string> ResolveNamespace (string namespaceName, string windowsSdkFilePath, System.Collections.Generic.IEnumerable<string> packageGraphFilePaths);
public static System.Collections.Generic.IEnumerable<string> ResolveNamespace (string namespaceName, string windowsSdkFilePath, System.Collections.Generic.IEnumerable<string> packageGraphFilePaths);
[<System.Security.SecurityCritical>]
static member ResolveNamespace : string * string * seq<string> -> seq<string>
static member ResolveNamespace : string * string * seq<string> -> seq<string>
Public Shared Function ResolveNamespace (namespaceName As String, windowsSdkFilePath As String, packageGraphFilePaths As IEnumerable(Of String)) As IEnumerable(Of String)

Parâmetros

namespaceName
String

O namespace a ser resolvido.The namespace to resolve.

windowsSdkFilePath
String

O caminho para pesquisar arquivos de metadados do Windows fornecidos pelo SDK ou null para pesquisar arquivos de metadados do Windows da instalação do sistema operacional.The path to search for Windows Metadata files provided by the SDK, or null to search for Windows Metadata files from the operating system installation.

packageGraphFilePaths
IEnumerable<String>

Os caminhos de aplicativo para pesquisar arquivos de metadados do Windows.The application paths to search for Windows Metadata files.

Retornos

IEnumerable<String>

Uma lista enumerável de cadeias de caracteres que representam os arquivos de metadados do Windows que definem o namespaceName.An enumerable list of strings that represent the Windows Metadata files that define namespaceName.

Atributos

Exceções

A versão do sistema operacional não oferece suporte à Windows Runtime.The operating system version does not support the Windows Runtime.

namespaceName é null.namespaceName is null.

Comentários

O caminho especificado para windowsSdkFilePath é pesquisado apenas para os namespaces que começam com o Windows.The path you specify for windowsSdkFilePath is searched only for namespaces that begin with Windows.

Aplica-se a